> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attention.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SCIM Service Provider Config

> Returns SCIM service provider capabilities. Required by SCIM clients like Okta to determine feature support.



## OpenAPI

````yaml /api-reference/openapi.json get /scim/ServiceProviderConfigs
openapi: 3.0.1
info:
  title: Attention Service V2
  description: Attention Service API V2
  termsOfService: https://www.attention.com/terms-of-use
  contact:
    name: Attention Team
    url: https://docs.attention.com/welcome
    email: support@attention.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.8.0
servers:
  - url: https://api.attention.tech/v2
security:
  - APIKeyHeader: []
paths:
  /scim/ServiceProviderConfigs:
    get:
      tags:
        - Scim
      summary: Get SCIM Service Provider Config
      description: >-
        Returns SCIM service provider capabilities. Required by SCIM clients
        like Okta to determine feature support.
      operationId: getServiceProviderConfig
      responses:
        '200':
          description: Service Provider Configuration returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceProviderConfigResponse'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/ServiceProviderConfigResponse'
        '401':
          description: Valid API key required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
        '500':
          description: Unexpected server error. Please try again later.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_500_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_500_Error'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ServiceProviderConfigResponse:
      type: object
      properties:
        schemas:
          type: array
          example:
            - urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig
          items:
            type: string
        documentationUrl:
          type: string
          example: https://support.okta.com/scim-fake-page.html
        patch:
          required:
            - supported
          type: object
          properties:
            supported:
              type: boolean
          example:
            supported: false
        bulk:
          required:
            - supported
          type: object
          properties:
            supported:
              type: boolean
          example:
            supported: false
        filter:
          required:
            - maxResults
            - supported
          type: object
          properties:
            supported:
              type: boolean
            maxResults:
              type: integer
          example:
            supported: false
            maxResults: 100
        changePassword:
          required:
            - supported
          type: object
          properties:
            supported:
              type: boolean
          example:
            supported: true
        sort:
          required:
            - supported
          type: object
          properties:
            supported:
              type: boolean
          example:
            supported: false
        etag:
          required:
            - supported
          type: object
          properties:
            supported:
              type: boolean
          example:
            supported: false
        authenticationSchemes:
          type: array
          example:
            - name: HTTP Basic
              description: Authentication via API key in the Authorization header
              specUri: http://tools.ietf.org/html/rfc2617
              documentationUri: https://datatracker.ietf.org/doc/html/rfc2617
              type: httpbasic
              primary: true
          items:
            type: object
            properties:
              name:
                type: string
              description:
                type: string
              specUri:
                type: string
              documentationUri:
                type: string
              type:
                type: string
              primary:
                type: boolean
        urn:okta:schemas:scim:providerconfig:1.0:
          type: object
          properties:
            userManagementCapabilities:
              type: array
              items:
                type: string
          example:
            userManagementCapabilities:
              - GROUP_PUSH
              - IMPORT_NEW_USERS
              - IMPORT_PROFILE_UPDATES
              - PUSH_NEW_USERS
              - PUSH_PASSWORD_UPDATES
              - PUSH_PENDING_USERS
              - PUSH_PROFILE_UPDATES
              - PUSH_USER_DEACTIVATION
              - REACTIVATE_USERS
      example:
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig
        documentationUrl: https://support.okta.com/scim-fake-page.html
        patch:
          supported: true
        bulk:
          supported: false
        filter:
          supported: true
          maxResults: 200
        changePassword:
          supported: false
        sort:
          supported: false
        etag:
          supported: false
        authenticationSchemes:
          - name: HTTP Basic
            description: Authentication via API key in the Authorization header
            specUri: http://tools.ietf.org/html/rfc2617
            documentationUri: https://datatracker.ietf.org/doc/html/rfc2617
            type: httpbasic
            primary: true
    Base_401_Error:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BaseError'
      example:
        code: 401
        message: unauthenticated for Invalid API key
    Base_500_Error:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Error'
      example:
        code: '500'
        detail: >-
          An unexpected error occurred on the server. Please try again later or
          contact support if the problem persists.
        id: internal_server_error
        title: Internal Server Error
    Error:
      type: object
      properties:
        id:
          type: string
          description: A unique identifier for the error.
        status:
          type: string
          description: >-
            The HTTP status code applicable to this problem, expressed as a
            string value.
        code:
          type: string
          description: An application-specific error code, expressed as a string value.
        title:
          type: string
          description: A short, human-readable summary of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
        meta:
          type: object
          properties: {}
      example:
        id: not_found_error
        status: '404'
        code: '404'
        title: Not Found Error
        detail: The requested resource was not found
        source:
          pointer: /data/attributes/id
    BaseError:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      example:
        code: unauthorized
        message: Invalid or expired API key
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: Authorization
      in: header

````